> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wearepion.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Verification Status

> Returns a streamlined state for a specific verification.



## OpenAPI

````yaml /api-reference/openapi-v1.json get /app/{appId}/whitelabel/verifications/{verificationId}/status
openapi: 3.1.0
info:
  title: Pion API Reference
  description: API for authentication and verification status retrieval.
  version: 1.0.0
servers:
  - url: https://api.wearepion.com
    description: Main production server
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: Authenticating with Pion API
  - name: Beans iD Whitelabel API
    description: Endpoints used for the Beans iD Whitelabel API product.
paths:
  /app/{appId}/whitelabel/verifications/{verificationId}/status:
    get:
      tags:
        - Beans iD Whitelabel API
      summary: Get Verification Status
      description: Returns a streamlined state for a specific verification.
      operationId: getVerificationStatus
      parameters:
        - name: appId
          in: path
          required: true
          schema:
            type: string
        - name: verificationId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful status retrieval
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VerificationStatusResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '404':
          $ref: '#/components/responses/NotFoundError'
        default:
          $ref: '#/components/responses/GenericError'
components:
  schemas:
    VerificationStatusResponse:
      type: object
      required:
        - verificationId
        - status
        - stage
      properties:
        verificationId:
          type: string
          format: uuid
        status:
          $ref: '#/components/schemas/VerificationStatusEnum'
        stage:
          $ref: '#/components/schemas/VerificationStageEnum'
    VerificationStatusEnum:
      type: string
      enum:
        - success
        - pending
        - failed
        - expired
    VerificationStageEnum:
      type: string
      description: Enum of granular verification stages
      enum:
        - success
        - failed:otp_failed
        - failed:too_many_attempts
        - phone_number
        - phone_number_otp
        - select_institution
        - select_verification_method
        - pending_verification:email
        - pending_verification:manual
        - pending_verification:portal
        - rejected_verification:email
        - rejected_verification:manual
        - rejected_verification:portal
  responses:
    UnauthorizedError:
      description: 401 Unauthorised
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  title:
                    type: string
                    examples:
                      - unauthorised
    NotFoundError:
      description: 404 Not Found
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  title:
                    type: string
    GenericError:
      description: Generic error response format
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  title:
                    type: string
                  detail:
                    type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````